Outlandish Aurora Mysql
=========

This role creates a user and database for a project. Most commonly used with the Aurora
Mysql database cluster for outlandish projects.

Requirements
------------

This project has no additional requirements, and only requires to be run on a server
with access to the Mysql database you wish to alter.

Role Variables
--------------

**outlandish_aurora_master_host**

This variable defines the database host. 

*Default: aurora-general.cefrfliziigj.eu-west-1.rds.amazonaws.com*

**outlandish_aurora_master_username**

This root user for the database server you wish to create databases
on.

*Mandatory*

**outlandish_aurora_master_password**

This root user's password for the database server

*Mandatory*

**outlandish_aurora_username**

The database user that you want to create for this project

*Mandatory*

**outlandish_aurora_user_host**

The host from which the user is being created for. 

*Default: %*

**outlandish_aurora_password**

The password for the database user that you want to create for this project

*Mandatory*

**outlandish_aurora_databases**

This variable defines the databases that should be created for
the user.

*Default: []*

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables
passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - role: aurora-mysql
           outlandish_aurora_master_username: root
           outlandish_aurora_master_password: dsliftjlefalkdfhslg
           outlandish_aurora_username: outlandish
           outlandish_aurora_password: afjsdflksdjlfgjsflg
           outlandish_aurora_databases: 
            - outlandish_production
            - outlandish_staging

License
-------

GPLv2

Author Information
------------------

Matthew Kendon <matt@outlandish.com>
